local RollVars = {}
 
RollVars.Defaults = {
    ["hideRoll"] = false,
    ["Roll"] = {
        ["offsetx"] = 0,
        ["offsety"] = 0,
        ["point"] = TOPLEFT,
        ["relPoint"] = TOPLEFT,
        },
}
 
local function MyAddonRollDice()
    local num = math.random(1,100)
    LootDiceRoll:SetText(num)
end
 
 
 
local function OnMoveStopRoll()
    _, RollVars.SV.Roll.point, _, RollVars.SV.Roll.relPoint, RollVars.SV.Roll.offsetx, RollVars.SV.Roll.offsety = LootDice:GetAnchor(0)
end
 
 
local function OnAddOnLoaded(eventCode, addon)
    if addon == "LootDice" then
        RollVars.SV = ZO_SavedVars:New( "Roll_Variables" , 2 , nil , RollVars.Defaults , nil )
        if (RollVars.SV ~= nil) then
               LoadSavedVars()
        end
        LootDice:SetHandler("OnMoveStop", OnMoveStopRoll)
        LootDice:SetHandler("OnMouseDown", MyAddonRollDice)
    end
end
 
function LoadSavedVars()
    LootDice:ClearAnchors()
	LootDice:SetAnchor(RollVars.SV.Roll.point, nil, RollVars.SV.Roll.relPoint, RollVars.SV.Roll.offsetx, RollVars.SV.Roll.offsety)
end
 
EVENT_MANAGER:RegisterForEvent("LootDice", EVENT_ADD_ON_LOADED, OnAddOnLoaded)